Get processing layers.
const url = 'https://app.civillo.com/api/v1/example/projects/1/layers/processing?jobId=123&pageSize=10&page=10&creatorId=c16046d5-4d5e-45f3-a62b-75423c13b394&creatorName=john%20smith&endDate=2023-08-23T22%3A53%3A16.6478590Z&startDate=2023-08-23T22%3A53%3A16.6478590Z&statuses=initializing&statuses=completed';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.civillo.com/api/v1/example/projects/1/layers/processing?jobId=123&pageSize=10&page=10&creatorId=c16046d5-4d5e-45f3-a62b-75423c13b394&creatorName=john%20smith&endDate=2023-08-23T22%3A53%3A16.6478590Z&startDate=2023-08-23T22%3A53%3A16.6478590Z&statuses=initializing&statuses=completed' \ --header 'Authorization: Bearer <token>'Get the current state of processing layers or a specific processing layer.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”The organization nickname
The project id
Query Parameters
Section titled “Query Parameters”The processor job id if requesting a specific job. If specified, only a single job will be returned as the response and all other filters will be ignored.
Example
123Defines the max number of results per page to include in the response Default 10.
Example
10Defines which results page to return results from Default 1. pageCount can be read from the response. This should be used to determine how many subsequent requests will need to be made to read the entire result set.
Example
10Filter optional - The ID of the creating user to filter jobs by
Example
c16046d5-4d5e-45f3-a62b-75423c13b394Filter optional - The full name of the creating user to filter jobs by. Case insensitive.
Example
john smithFilter optional - Filter to show only jobs created before this date.
Example
2023-08-23T22:53:16.6478590ZFilter optional - Filter to show only jobs created after this date.
Example
2023-08-23T22:53:16.6478590ZFilter optional - Filter to show only jobs in specific job states. Available options are initializing, processing, error, completed. Multiple statuses may be included and the results are inclusive (Logical OR). This means you can request both initializing and completed and get the results for both. Please note that when using error status, only jobs with a definite error (and not perceived error) will be included. Jobs with “perceived” errors eg freezes or unresponsiveness will be included as part of the processing status as they may still be processing.
Example
[ "initializing", "completed"]Responses
Section titled “ Responses ”An array of jobs or a single job if jobId query parameter was specified.
object
The number of jobs in the response.
object
Whether the job is in a state that allows it to be cancelled.
Whether the job has completed processing or not.
The date of the job was created in ISO 8601 format.
The ID of the job.
The percentage towards process completion. Not always a reliable indicator as some file types (mainly imagery) can reset this value to lower than it has been previously.
If an error causing the job to fail has occurred it will be included here. If a perceived lockup/freeze or the job has become unresponsive has occurred, information about it will be displayed here as well.
A message conveying the current process status.
The last time the job processing was updated in ISO 8601 format.
The creator of the job. Format is {first name} {last name} <{id}> (no curly brackets).
The current results page number of the total result set. Pages use a 1 based index (first page is 1).
The total number jobs in the result set (some which may be found on other pages).
The total number of pages in the result set.
Example
[ { "count": 10, "jobs": [ { "cancelAllowed": false, "complete": false, "created": "2023-08-23T22:53:16.6478590Z", "id": 123, "progress": 75, "error": "An error occurred in the process.", "status": "Unpacking geometries.", "updated": "2023-08-23T22:53:16.6478590Z" } ], "page": 1, "total": 105, "pageCount": 11 }]Bad Request
Unauthorized
Forbidden
Not Found